%% Customizações do abnTeX2 (http://abnTeX2.googlecode.com) para a
%% Universidade Federal de Ouro Preto
%% Instituto de Ciências Exatas e Aplicadas
%% Especialização em Ciência dos Dados

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{abntex2-tcc-ufop-icea-v0}[17/03/2022 v.0 Modelo ppgep/ufop baseado em abnTeX2]
%

% Repassa todos os parametros a classe abntex2,
\DeclareOption*{%
  \PassOptionsToClass{\CurrentOption}{abntex2}%
}
\ProcessOptions\relax
\LoadClass{abntex2}

\RequirePackage{eso-pic}
\RequirePackage{transparent}
\newcommand\BackgroundPic{%
\put(-220,-200){%
\parbox[b][\paperheight]{\paperwidth}{%
\vfill
\centering
%\transparent{0.4}\includegraphics[width=0.5\paperwidth,%
%keepaspectratio]{figs/v6-a.png}%
\vfill
}}}

% Define comando para o nome da Unidade
\providecommand{\imprimirunidade}{}
\newcommand{\unidade}[1]{\renewcommand{\imprimirunidade}{#1}}

% Define comando para o dia de defesa
\providecommand{\imprimirdia}{}
\newcommand{\dia}[1]{\renewcommand{\imprimirdia}{#1}}

% Define comando para o mes de defesa
\providecommand{\imprimirmes}{}
\providecommand{\imprimirMes}{}
\newcommand{\mes}[1]{%
  \renewcommand{\imprimirmes}{\mesExtenso{#1}}%
  \renewcommand{\imprimirMes}{\MesExtenso{#1}}%
}

% Define comando para o nome da Unidade
\providecommand{\imprimirhora}{}
\newcommand{\hora}[1]{\renewcommand{\imprimirhora}{#1}}

\newcommand{\mesExtenso}[1]{%
  \ifcase #1%
  \or janeiro% 1
  \or fevereiro% 2
  \or mar\c{c}o% 3
  \or abril% 4
  \or maio% 5
  \or junho% 6
  \or julho% 7
  \or agosto% 8
  \or setembro% 9
  \or outubro% 10
  \or novembro% 11
  \or dezembro% 12
\fi}
\newcommand{\MesExtenso}[1]{%
  \ifcase #1%
  \or Janeiro% 1
  \or Fevereiro% 2
  \or Mar\c{c}o% 3
  \or Abril% 4
  \or Maio% 5
  \or Junho% 6
  \or Julho% 7
  \or Agosto% 8
  \or Setembro% 9
  \or Outubto% 10
  \or Novembro% 11
  \or Dezembro% 12
\fi}

% Define comando para o ano de defesa
\providecommand{\imprimirano}{}
\newcommand{\ano}[1]{\renewcommand{\imprimirano}{#1}}

% Define comando para data de defesa
\providecommand{\imprimirdatadedefesa}{\imprimirdia{} de \imprimirmes{}  de \imprimirano{}}